Description

Hi there,

I don't get why but the browse button always stays greyed out even when I change my layer selection.

Tehcnically https://github.com/qgis/QGIS/blob/ca80fb6052d8e1108b9ae25b47cf1bbbfa971c55/src/app/qgshandlebadlayers.cpp#L172

should be executed but the browse button is not activated. Would it be possible that this function is actually not called.

I have noticed this in 3.4.x version but the relevant part of the code should not have changed, the PR that I made did not touch this part

and I doubt Mr. Pasotti changed it with its latest PR.

So in theory the same behaviour should still be observed with master on windows, the previous updates that changed this part of the code

date many years back. ( I truly broke the blame with windows changing my EOL...)

I'll update this if I get the chance to touch this with master on windows.

Thanks

History

#1 - 2019-04-09 08:46 AM - Alessandro Pasotti

- Assignee deleted (Alessandro Pasotti)

#2 - 2019-04-10 05:26 PM - Giovanni Manghi

- Easy fix? changed from Yes to No

- Status changed from Open to Feedback

Isn't this a better fit for a question in the qgis developers mailing list?

#3 - 2019-04-10 05:31 PM - Alexis Roy-L

Giovanni Manghi wrote:

Isn't this a better fit for a question in the qgis developers mailing list?

Doubtfully, the intended behavior is not working for windows, this is a bug and should be logged somewhere.
https://github.com/qgis/QGIS/blob/ca80fb6052d8e1108b9ae25b47cf1bbbfa971c55/src/app/qgshandlebadlayers.cpp#L172


The rest of the issue is to provide context as to why my observation in 3.4.X are still valid and should be even with 3.7.

This is not an actual question but more of a rhetorical one at the end.

#4 - 2019-04-10 05:33 PM - Giovanni Manghi

- Status changed from Feedback to Open

This is not an actual question but more of a rhetorical one at the end.

ok
